/**************************************************************************
 * CLASS:		MiscIconWell
 * PROGRAMMER:	Todd Thomas		(todd@avocado.cuc.ab.ca)
 * DATE:		Feb 3, 1993
 * VERSION:		0.3
 *
 *	This class (by default) allows both source and destination dragging of 
 * icon representations of files and folders and uses the NXFilenamePboardType
 * to pass the filename that is associated with the dragged icon.
 * Since we are inheriting the basic functionality from MiscDragView, we 
 * should not need to do much. 
 *
 * This object is included in the MiscKit by permission from the author
 * and its use is governed by the MiscKit license, found in the file
 * "LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
 * for a list of all applicable permissions and restrictions.
 ***************************************************************************/
 
#import <appkit/appkit.h>
#import <misckit/MiscDragView.h>


@interface MiscIconWell : MiscDragView
{
	id  filename;
	BOOL  allowDoubleClickLaunch;
}

- initFrame: (const NXRect *)frameRect;
- awake;
- free;
- (char *)filename;
- setImageByFilename: (char *)aFilename;
- setAllowDoubleClickLaunch: (BOOL)aBool;
- (BOOL)allowDoubleClickLaunch;
- mouseDown: (NXEvent *)theEvent;
- (BOOL)setupForSourceDrag;
- (BOOL)performDragOperation: sender;
- concludeDragOperation: sender;
- read: (NXTypedStream *)stream;
- write: (NXTypedStream *)stream;

@end
